> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Order GOV document



## OpenAPI

````yaml /openapi/kyb.yaml post /api/v2/gov-ordered-documents/document-order/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: KYB Token
    description: KYB token endpoints to begin KYB flow.
  - name: KYB Forms
    description: Endpoints for KYB form actions.
  - name: KYB Documents
    description: KYB documents CRUD endpoints for the KYB form.
  - name: Beneficiaries
    description: Beneficiaries CRUD endpoints for the KYB form.
  - name: KYB Questionnaires
    description: KYB questionnaires endpoints.
  - name: Companies
    description: Endpoints for actions with companies.
  - name: Credit Bureau
    description: Endpoints for actions with credit bureau documents.
  - name: GOV Registers
    description: Endpoints for actions with GOV registers documents.
  - name: GOV Orders
    description: Endpoints for actions with GOV ordered documents.
  - name: SOS Reports
    description: Endpoints for actions with SOS filing documents.
  - name: Webhooks
    description: Webhooks.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /api/v2/gov-ordered-documents/document-order/:
    post:
      tags:
        - GOV Orders
      summary: Order GOV document
      operationId: apiV2GovOrderedDocumentsDocumentOrderCreate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GovPartnerOrderDocumentRequest'
        required: true
      responses:
        '200':
          description: No response body
      security:
        - apiKeyPair: []
components:
  schemas:
    GovPartnerOrderDocumentRequest:
      type: object
      properties:
        countryCode:
          allOf:
            - $ref: '#/components/schemas/CountryCodeEnum'
          writeOnly: true
        registrationNumber:
          type: string
          writeOnly: true
          minLength: 1
          description: External company ID from GOV registers search should be used.
        region:
          type: string
          writeOnly: true
          minLength: 1
        companyName:
          type: string
          writeOnly: true
          minLength: 1
        productKey:
          type: string
          writeOnly: true
          minLength: 1
      required:
        - companyName
        - countryCode
        - productKey
        - registrationNumber
    CountryCodeEnum:
      enum:
        - AL
        - AM
        - AR
        - AT
        - AU
        - AW
        - AZ
        - BA
        - BB
        - BD
        - BE
        - BG
        - BH
        - BN
        - BO
        - BQ
        - BR
        - BW
        - BY
        - BZ
        - CA
        - CH
        - CN
        - CO
        - CR
        - CW
        - CY
        - CZ
        - DE
        - DK
        - DO
        - EC
        - EE
        - ES
        - FI
        - FR
        - GB
        - GE
        - GG
        - GH
        - GI
        - GR
        - HK
        - HR
        - HU
        - ID
        - IE
        - IL
        - IM
        - IN
        - IS
        - IT
        - JE
        - JO
        - KH
        - KW
        - KY
        - LI
        - LK
        - LS
        - LT
        - LU
        - LV
        - MA
        - ME
        - MH
        - MM
        - MT
        - MU
        - MY
        - NL
        - 'NO'
        - NZ
        - PE
        - PH
        - PK
        - PL
        - PR
        - PT
        - QA
        - RO
        - RS
        - RU
        - SB
        - SE
        - SG
        - SI
        - SK
        - TH
        - TN
        - TO
        - TR
        - TT
        - TW
        - UG
        - US
        - UY
        - VG
        - VI
        - VN
        - VU
        - WS
        - ZA
      type: string
  securitySchemes:
    apiKeyPair:
      type: http
      scheme: basic
      description: >-
        The request must contain basic auth headers where username is *API key*
        and password is *API secret*.<br>

        In order for you to start using our API you will need an **API key** and
        **API secret**.<br>

        Both can be retrieved by contacting *iDenfy's support* or *iDenfy's
        sales team*.

````